Package org.bukkit.event.server

# Class ServiceEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.ServiceEvent

Direct Known Subclasses:
  `ServiceRegisterEvent`, `ServiceUnregisterEvent`

public abstract class ServiceEvent extends ServerEvent
An event relating to a registered service. This is called in a `ServicesManager`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServiceEvent(@NotNull RegisteredServiceProvider<?> provider)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull RegisteredServiceProvider<?>`
`getProvider()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceEvent

public ServiceEvent(@NotNull @NotNull RegisteredServiceProvider<?> provider)

## Method Details

### getProvider

@NotNull public @NotNull RegisteredServiceProvider<?> getProvider()